HYX(1)

NAME
hyx - minimalistic but powerful terminal hex editor

SYNOPSIS
hyx [filename]
command | hyx

DESCRIPTION
hyx is a minimalistic (< 2300 lines of C) vim-like hex editor. It can display ASCII with colors, insert/replace/delete, copy/paste, undo/redo, and search.

OPTIONS

-h, --help
    Show help text with editor keys and commands.

-v, --version
    Show version of program.

KEYS
q quit h, j, k, l move cursor
(hex digits) edit bytes (in hex mode)
(printable) edit bytes (in ascii mode)
i switch between replace and insert modes
tab switch between hex and ascii input u undo
ctrl+r redo v start a selection
escape abort a selection
x delete current byte or selection
s substitute current byte or selection
y copy current byte or selection to clipboard
p paste
P paste and move cursor ], [ increase/decrease number of columns ctrl+u, ctrl+d scroll up/down one page
g, G jump to start/end of screen or file
^, $ jump to start/end of current line : enter command (see below) /x (hex string) search for hexadecimal bytes
/s (characters) search for unicode string (utf8)
/w (characters) search for unicode string (ucs2)
n, N jump to next/previous match ctrl+a, ctrl+x increment/decrement current byte ctrl+g show file name and current position
ctrl+z suspend editor; use "fg" to continue

COMMANDS
$offset jump to offset (supports hex/dec/oct)
q quit
w [$filename] save
wq [$filename] save and quit
color y/n toggle colors